import { IconButton } from '@mui/material';
import CloseIcon from '@mui/icons-material/Close';

const DialogCloseButton = (props) => {
    const {
        onClose,
        top = 8,
        right = 8,
        color,
    } = props;

    return (
        <>
            <IconButton
                aria-label="close"
                onClick={onClose}
                sx={{
                    position: 'absolute',
                    right,
                    top,
                    color: theme => (color ? color : theme.palette.grey[500]),
                }}
            >
                <CloseIcon />
            </IconButton>
        </>
    );
};

export default DialogCloseButton;
